CREATE TABLE fa_deprn_rule_details[ (
    DEPRN_RULE_DETAIL_ID         NUMBER(18, 0)     NOT NULL,
    DEPRN_BASIS_RULE_ID          NUMBER(18, 0)     NOT NULL,
    RATE_SOURCE_RULE             VARCHAR2(60)      NOT NULL,
    DEPRN_BASIS_RULE             VARCHAR2(60)      NOT NULL,
    ASSET_TYPE                   VARCHAR2(60)      NOT NULL,
    PERIOD_UPDATE_FLAG           VARCHAR2(4)   ,
    SUBTRACT_YTD_FLAG            VARCHAR2(4)   ,
    ALLOW_REDUCTION_RATE_FLAG    VARCHAR2(4)   ,
    USE_EOFY_RESERVE_FLAG        VARCHAR2(4)   ,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    USE_RSV_AFTER_IMP_FLAG       VARCHAR2(4)   ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL
);
